import 'package:flutter/material.dart';
import 'app_dimension.dart';

import 'app_colors.dart';

class AppFont {
  static String appFont = 'sf-pro-text';
}

class StylesText {
  static final disabled = TextStyle(
      fontSize: 14.sp,
      fontFamily: AppFont.appFont,
      fontWeight: FontWeight.w400,
      color: AppColors.neutral1,
      backgroundColor: AppColors.neutral3);

  static final header1 = TextStyle(
    fontSize: 24.sp,
    fontWeight: FontWeight.w800,
    fontFamily: AppFont.appFont,
    color: AppColors.neutral1,
  );

  static final body1 = TextStyle(
    fontSize: 16.sp,
    fontWeight: FontWeight.w800,
    fontFamily: AppFont.appFont,
    color: AppColors.neutral1,
  );
  static final body2 = TextStyle(
    fontSize: 16.sp,
    fontFamily: AppFont.appFont,
    fontWeight: FontWeight.w600,
    color: AppColors.neutral1,
  );
  static final body3 = TextStyle(
    fontSize: 16.sp,
    fontFamily: AppFont.appFont,
    fontWeight: FontWeight.w400,
    color: AppColors.neutral1,
  );
  static final body4 = TextStyle(
    fontSize: 14.sp,
    fontFamily: AppFont.appFont,
    fontWeight: FontWeight.w800,
    color: AppColors.neutral1,
  );
  static final body5 = TextStyle(
    fontSize: 14.sp,
    fontFamily: AppFont.appFont,
    fontWeight: FontWeight.w600,
    color: AppColors.neutral1,
  );
  static final body6 = TextStyle(
    fontSize: 14.sp,
    fontFamily: AppFont.appFont,
    fontWeight: FontWeight.w400,
    color: AppColors.neutral1,
  );

  static final caption1 = TextStyle(
    fontSize: 12.sp,
    fontFamily: AppFont.appFont,
    fontWeight: FontWeight.w800,
    color: AppColors.neutral1,
  );
  static final caption2 = TextStyle(
    fontSize: 12.sp,
    fontFamily: AppFont.appFont,
    fontWeight: FontWeight.w600,
    color: AppColors.neutral1,
  );
  static final caption3 = TextStyle(
    fontSize: 12.sp,
    fontFamily: AppFont.appFont,
    fontWeight: FontWeight.w400,
    color: AppColors.neutral1,
  );
  static final caption4 = TextStyle(
    fontSize: 10.sp,
    fontFamily: AppFont.appFont,
    fontWeight: FontWeight.w800,
    color: AppColors.neutral1,
  );
  static final caption5 = TextStyle(
    fontSize: 10.sp,
    fontFamily: AppFont.appFont,
    fontWeight: FontWeight.w600,
    color: AppColors.neutral1,
  );
  static final caption6 = TextStyle(
    fontSize: 10.sp,
    fontFamily: AppFont.appFont,
    fontWeight: FontWeight.w400,
    color: AppColors.neutral1,
  );

  static final appbarTitle = TextStyle(
    fontSize: 20.sp,
    fontFamily: AppFont.appFont,
    fontWeight: FontWeight.w600,
    color: AppColors.neutral1,
  );

  static final titleReport = TextStyle(
    fontSize: 18.sp,
    fontFamily: AppFont.appFont,
    fontWeight: FontWeight.w600,
    color: AppColors.neutral1,
  );
}
